Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_unistd.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/os_include/os_inttypes.h"`

Include dependency graph for os_unistd.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | R_OK 04
#define | W_OK 02
#define | X_OK 01
#define | F_OK 0

## Detailed Description

standard symbolic constants and types

Id
  os_unistd.h,v 1.14 2006/01/03 13:01:41 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define F_OK 0

#define R_OK 04

#define W_OK 02

#define X_OK 01